package com.kmall.api.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * @author Scott
 * @email
 * @date 2017-08-15 08:03:39
 */
public class CartVo implements Serializable {
    private static final long serialVersionUID = 1L;

    //主键
    private Long id;
    //会员Id
    private Long user_id;
    //store_id
    private Long store_id;
    //商品Id
    private Long goods_id;
    //商品序列号
    private String goods_sn;
    //产品Id
    private Long product_id;
    //产品名称
    private String goods_name;
    //市场价
    private BigDecimal market_price;
    //零售价格
    private BigDecimal retail_price;
    //product表中的零售价格
    private BigDecimal retail_product_price;
    //数量
    private Integer number;
    //规格属性组成的字符串，用来显示用
    private String goods_specification_name_value;
    //product表对应的goods_specifition_ids
    private String goods_specification_ids;
    //
    private Integer checked;
    // 节省金额
    private BigDecimal crash_save_price;

    //商品图片
    private String list_pic_url;


    private String sku;

    private String goodsBizType;

    private String goodsBizTypeName;

    private String createrSn;

    private Date createTime;

    private String moderSn;

    private Date modTime;

    private Date tstm;

    private Integer stockNum;

    private String merchSn;

    private Integer goodsNumber;

    private String isStockShare;

    private String supplierThirdMerchCode;

    private String isStockShareBySuppler;

    /**
     * 门店第三方商户是否属于供应商模式商品购买
     */
    private String isSupplierGoods;

    //指定商品参与、全部商品参与的满减活动
    private String campName;

    //指定商品不参与的满减活动
    private String campNameByNotGoods;

    private List<String> campNameList;

    private String isCamp;

    private String isDiscount;

    public String getIsDiscount() {
        return isDiscount;
    }

    public void setIsDiscount(String isDiscount) {
        this.isDiscount = isDiscount;
    }

    public String getIsCamp() {
        return isCamp;
    }

    public void setIsCamp(String isCamp) {
        this.isCamp = isCamp;
    }

    public List<String> getCampNameList() {
        return campNameList;
    }

    public void setCampNameList(List<String> campNameList) {
        this.campNameList = campNameList;
    }

    public String getCampName() {
        return campName;
    }

    public void setCampName(String campName) {
        this.campName = campName;
    }

    public String getCampNameByNotGoods() {
        return campNameByNotGoods;
    }

    public void setCampNameByNotGoods(String campNameByNotGoods) {
        this.campNameByNotGoods = campNameByNotGoods;
    }

    public String getSupplierThirdMerchCode() {
        return supplierThirdMerchCode;
    }

    public void setSupplierThirdMerchCode(String supplierThirdMerchCode) {
        this.supplierThirdMerchCode = supplierThirdMerchCode;
    }

    public String getIsStockShareBySuppler() {
        return isStockShareBySuppler;
    }

    public void setIsStockShareBySuppler(String isStockShareBySuppler) {
        this.isStockShareBySuppler = isStockShareBySuppler;
    }

    public String getIsSupplierGoods() {
        return isSupplierGoods;
    }

    public void setIsSupplierGoods(String isSupplierGoods) {
        this.isSupplierGoods = isSupplierGoods;
    }

    public String getIsStockShare() {
        return isStockShare;
    }

    public void setIsStockShare(String isStockShare) {
        this.isStockShare = isStockShare;
    }

    public Integer getGoodsNumber() {
        return goodsNumber;
    }

    public void setGoodsNumber(Integer goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public Integer getStockNum() {
        return stockNum;
    }

    public void setStockNum(Integer stockNum) {
        this.stockNum = stockNum;
    }

    public String getGoodsBizTypeName() {
        return goodsBizTypeName;
    }

    public void setGoodsBizTypeName(String goodsBizTypeName) {
        this.goodsBizTypeName = goodsBizTypeName;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getGoodsBizType() {
        return goodsBizType;
    }

    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public Long getStore_id() {
        return store_id;
    }

    public void setStore_id(Long store_id) {
        this.store_id = store_id;
    }

    public Long getGoods_id() {
        return goods_id;
    }

    public void setGoods_id(Long goods_id) {
        this.goods_id = goods_id;
    }

    public String getGoods_sn() {
        return goods_sn;
    }

    public void setGoods_sn(String goods_sn) {
        this.goods_sn = goods_sn;
    }

    public Long getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Long product_id) {
        this.product_id = product_id;
    }

    public String getGoods_name() {
        return goods_name;
    }

    public void setGoods_name(String goods_name) {
        this.goods_name = goods_name;
    }

    public BigDecimal getMarket_price() {
        return market_price;
    }

    public void setMarket_price(BigDecimal market_price) {
        this.market_price = market_price;
    }

    public BigDecimal getRetail_price() {
        return retail_price;
    }

    public void setRetail_price(BigDecimal retail_price) {
        this.retail_price = retail_price;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getGoods_specification_name_value() {
        return goods_specification_name_value;
    }

    public void setGoods_specification_name_value(String goods_specification_name_value) {
        this.goods_specification_name_value = goods_specification_name_value;
    }

    public String getGoods_specification_ids() {
        return goods_specification_ids;
    }

    public void setGoods_specification_ids(String goods_specification_ids) {
        this.goods_specification_ids = goods_specification_ids;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public String getList_pic_url() {
        return list_pic_url;
    }

    public void setList_pic_url(String list_pic_url) {
        this.list_pic_url = list_pic_url;
    }

    public BigDecimal getRetail_product_price() {
        return retail_product_price;
    }

    public void setRetail_product_price(BigDecimal retail_product_price) {
        this.retail_product_price = retail_product_price;
    }

    public BigDecimal getCrash_save_price() {
        if (null == crash_save_price && null != retail_product_price && null != retail_price) {
            crash_save_price = retail_product_price.subtract(retail_price);
        }
        return crash_save_price;
    }

    public void setCrash_save_price(BigDecimal crash_save_price) {
        this.crash_save_price = crash_save_price;
    }
}
